GWT 2.7.0

## com.google.web.bindery.autobean.vm
Class Configuration.Builder

    java.lang.Object
      com.google.web.bindery.autobean.vm.Configuration.Builder

Enclosing class:
  Configuration

    public static class Configuration.Builder

extends java.lang.Object

Builds `Configuration` objects.

Constructor Summary
`Configuration.Builder()`

Method Summary
`Configuration` | `build()`
`Configuration.Builder` | `setCategories(java.lang.Class<?>... categories)` Equivalent to applying a `Category` annotation to an AutoBeanFactory declaration.
`Configuration.Builder` | `setNoWrap(java.lang.Class<?>... noWrap)` Equivalent to applying a `NoWrap` annotation to an AutoBeanFactory declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration.Builder

    public Configuration.Builder()

Method Detail

### build

    public Configuration build()

### setCategories

    public Configuration.Builder setCategories(java.lang.Class<?>... categories)

  Equivalent to applying a `Category` annotation to an AutoBeanFactory declaration.

  Parameters:
    `categories` - the category types that should be searched for static implementations of non-property methods
  Returns:
    the Builder

### setNoWrap

    public Configuration.Builder setNoWrap(java.lang.Class<?>... noWrap)

  Equivalent to applying a `NoWrap` annotation to an AutoBeanFactory declaration.

  Parameters:
    `noWrap` - the types that should be excluded from wrapping
  Returns:
    the Builder

GWT 2.7.0